Bug 841433 - RFE - Change default cursor position on opening the search/replace screen
RFE - Change default cursor position on opening the search/replace screen
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6.1
Unspecified Linux
medium Severity low
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 21:33 EDT by Hedda Peters
Modified: 2012-11-07 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121010-0855)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-07-18 21:33:17 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Build Identifier: 

Requesting a tiny change:

When opening the search/replace screen, the cursor by default gets placed in the "replace" field. 

Better would be to place the cursor in the "search" field, as that will be the first thing the user will want to enter information in.




Reproducible: Always
Comment 1 Alex Eng 2012-10-02 20:29:33 EDT
There's no focus on "replace" field in version 2.0. However, hitting "tab" while in search and replace view (first loaded) will bring focus to "search" field.
Comment 2 Alex Eng 2012-10-02 23:18:51 EDT
Implemented focus in search field when viewing search and replace.

See https://github.com/zanata/zanata/commit/ab22e8d8d240b837bc1810e522ddb06274e4446d
Comment 3 Ding-Yi Chen 2012-10-09 23:51:49 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121010-0855).
Comment 4 Sean Flanigan 2012-11-07 01:19:10 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.